## xml-rpc-el 1.6.17

=== Makefile ===
test:
	emacs -batch -l xml-rpc-test.el -f ert-run-tests-batch-and-exit

## xml-rpc-el 1.6.12

=== debian/changelog ===
xml-rpc-el (1.6.12-4) unstable; urgency=medium

  * Team upload
  [ David Krauser ]
  * Update maintainer email address

  [ Dhavan Vaidya ]
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org

  [ David Bremner ]
  * Rebuild with dh-elpa 2.x

 -- David Bremner <bremner@debian.org>  Thu, 21 Jan 2021 08:09:33 -0400

xml-rpc-el (1.6.12-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Fri, 30 Aug 2019 08:21:22 -0300

xml-rpc-el (1.6.12-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump std-ver to 4.0.1 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 08 Aug 2017 00:07:55 -0400

xml-rpc-el (1.6.12-1) experimental; urgency=medium

  * Initial release (Closes: #850849).
    Upload to experimental pending resolution of #419510.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 04 Feb 2017 14:42:01 -0700

=== debian/control ===
Source: xml-rpc-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper (>= 10),
 dh-elpa
Standards-Version: 4.0.1
Vcs-Browser: https://salsa.debian.org/emacsen-team/xml-rpc-el
Vcs-Git: https://salsa.debian.org/emacsen-team/xml-rpc-el.git
Homepage: http://github.com/hexmode/xml-rpc-el
Testsuite: autopkgtest-pkg-elpa

Package: elpa-xml-rpc
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}, emacsen-common (>= 2.0.8)
Recommends: emacs (>= 46.0)
Enhances: emacs,
 emacs24,
 emacs25
Built-Using: ${misc:Built-Using}
Description: Emacs Lisp XML-RPC client
 This is an XML-RPC client library for Emacs Lisp, capable of both
 synchronous and asynchronous method calls.
 .
 An XML-RPC client sends and receives data over HTTP.  The request and
 the response are both described using XML.
 .
 xml-rpc.el represents XML-RPC datatypes as lisp values, automatically
 converting to and from the XML datastructures as needed, both for
 method parameters and return values.  This makes using XML-RPC
 methods transparent to the lisp code.

## xml-rpc-el 1.6.16

=== debian/changelog ===
xml-rpc-el (1.6.16-1) unstable; urgency=medium

  [ Aymeric Agon-Rambosson ]
  * New upstream release.
  * Adopt the package from Sean Whitton (Closes: #904241).
  * d/control: Add Rules-Requires-Root: field.
  * d/control: Bump Standards-Version: to 4.6.2 (no changes required).
  * d/control: Bump debhelper-compat to 13 (remove d/compat file).
  * Update upstream homepage in d/control and d/copyright.
  * Update copyright information.
  * Remove lintian-override file-without-copyright-information (not
    applicable anymore).
  * Update d/watch.
  * d/rules: disable upstream Makefile.

  [ Nicholas D Steeves ]
  * Drop emacs24 and emacs25 from Enhances (packages do not exist in
    bullseye).

  [ Lev Lamberov ]
  * Team upload.
  * d/control: Drop Built-Using field.

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 02 Feb 2023 19:52:50 +0500

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,22 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
-Uploaders: Sean Whitton <spwhitton@spwhitton.name>
-Build-Depends: debhelper (>= 10),
+Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
+Build-Depends:
+ debhelper-compat (= 13),
  dh-elpa
-Standards-Version: 4.0.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/xml-rpc-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/xml-rpc-el.git
-Homepage: http://github.com/hexmode/xml-rpc-el
+Homepage: https://github.com/xml-rpc-el/xml-rpc-el
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-xml-rpc
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}, emacsen-common (>= 2.0.8)
 Recommends: emacs (>= 46.0)
-Enhances: emacs,
- emacs24,
- emacs25
-Built-Using: ${misc:Built-Using}
+Enhances: emacs
 Description: Emacs Lisp XML-RPC client
  This is an XML-RPC client library for Emacs Lisp, capable of both
  synchronous and asynchronous method calls.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:

## xml-rpc-el 1.6.17

=== debian/changelog ===
xml-rpc-el (1.6.17-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:41:22 +0900

xml-rpc-el (1.6.17-1) unstable; urgency=medium

  * New upstream release.
  * Update patch.
  * Update d/copyright (reference new file .elpaignore).
  * d/control:
    - Remove hardcoded emacsen-common from Depends (let dh-elpa add it for
    us if needed).
    - Remove version in Recommends (redundant with the current state of
    the archive).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sun, 19 Nov 2023 00:40:23 +0100

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
 
 Package: elpa-xml-rpc
 Architecture: all
-Depends: ${elpa:Depends}, ${misc:Depends}, emacsen-common (>= 2.0.8)
-Recommends: emacs (>= 46.0)
+Depends: ${elpa:Depends}, ${misc:Depends},
+Recommends: emacs
 Enhances: emacs
 Description: Emacs Lisp XML-RPC client
  This is an XML-RPC client library for Emacs Lisp, capable of both
